Skip to main content
GET
/
v1
/
webhooks
/
endpoints
/
{id}
Retrieves a webhook endpoint
curl --request GET \
  --url https://api.rootly.com/v1/webhooks/endpoints/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "webhooks_endpoints",
    "attributes": {
      "name": "<string>",
      "url": "<string>",
      "event_types": [
        "incident.created"
      ],
      "secret": "<string>",
      "enabled": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

webhooks_endpoint found

data
object
required